=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: watcher
 Type: Package
 Title: Watch the File System for Changes
-Version: 0.1.0
+Version: 0.1.1
 Authors@R: 
     c(person(given = "Charlie",
              family = "Gao",
@@ -27,9 +27,9 @@
 Config/testthat/edition: 3
 Config/Needs/website: tidyverse/tidytemplate
 NeedsCompilation: yes
-Packaged: 2025-02-05 21:55:22 UTC; cg334
+Packaged: 2025-02-06 20:08:58 UTC; cg334
 Author: Charlie Gao [aut, cre] (<https://orcid.org/0000-0002-0750-061X>),
   Posit Software, PBC [cph]
 Maintainer: Charlie Gao <charlie.gao@shikokuchuo.net>
 Repository: CRAN
-Date/Publication: 2025-02-06 14:20:02 UTC
+Date/Publication: 2025-02-10 08:10:02 UTC
