## watcher 0.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -37,13 +37,10 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
-set(CMAKE_POSITION_INDEPENDENT_CODE ON)
-set(CMAKE_BUILD_TYPE Release)
-set(CMAKE_COLOR_MAKEFILE OFF)
-set(CMAKE_INSTALL_MESSAGE NEVER)
-
 # Add option to choose between shared and static libraries
 option(BUILD_SHARED_LIBS "Build shared libraries" OFF)
+# Add option to build libfswatch only (without fswatch or tests)
+option(BUILD_LIBS_ONLY "Build libfswatch only" OFF)
 
 # include modules
 include(FindGettext)
@@ -52,4 +49,34 @@
 include(CheckStructHasMember)
 include(CheckCXXSymbolExists)
 
+# check for gettext and libintl
+check_include_file_cxx(getopt.h HAVE_GETOPT_H)
+
+if (HAVE_GETOPT_H)
+    check_cxx_symbol_exists(getopt_long getopt.h HAVE_GETOPT_LONG)
+endif (HAVE_GETOPT_H)
+
+# If both gettext and libintl are found, define the USE_NLS variable to
+# optionally disable them
+if (Intl_FOUND AND GETTEXT_FOUND)
+    option(USE_NLS "Use NLS" ON)
+endif ()
+
+if (USE_NLS)
+    set(ENABLE_NLS 1)
+
+    # gettext configuration
+    set(LINGUAS en en@quot en@boldquot it es)
+
+    foreach (language ${LINGUAS})
+        configure_file(${PROJECT_SOURCE_DIR}/po/${language}.po ${PROJECT_BINARY_DIR}/${language}.po COPYONLY)
+    endforeach ()
+
+    gettext_process_pot_file(po/${PACKAGE}.pot ALL INSTALL_DESTINATION share/locale LANGUAGES ${LINGUAS})
+endif ()
+
 add_subdirectory(libfswatch)
+if (NOT BUILD_LIBS_ONLY)
+add_subdirectory(fswatch/src)
+add_subdirectory(test/src)
+endif ()
