=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: watcher
 Type: Package
 Title: Watch the File System for Changes
-Version: 0.1.1
+Version: 0.1.2
 Authors@R: 
     c(person(given = "Charlie",
              family = "Gao",
@@ -15,21 +15,20 @@
     activity, or run an R function every time a change event occurs. 
 License: MIT + file LICENSE
 BugReports: https://github.com/r-lib/watcher/issues
-URL: https://r-lib.github.io/watcher/,
-        https://github.com/r-lib/watcher/
+URL: https://watcher.r-lib.org, https://github.com/r-lib/watcher
 Encoding: UTF-8
 SystemRequirements: 'libfswatch', or 'cmake' to compile from package
         sources
-Depends: R (>= 3.6)
+Depends: R (>= 3.5)
 Imports: later, R6, rlang
 Suggests: testthat (>= 3.0.0)
 RoxygenNote: 7.3.2
 Config/testthat/edition: 3
 Config/Needs/website: tidyverse/tidytemplate
 NeedsCompilation: yes
-Packaged: 2025-02-06 20:08:58 UTC; cg334
+Packaged: 2025-02-25 08:45:24 UTC; cg334
 Author: Charlie Gao [aut, cre] (<https://orcid.org/0000-0002-0750-061X>),
   Posit Software, PBC [cph]
 Maintainer: Charlie Gao <charlie.gao@shikokuchuo.net>
 Repository: CRAN
-Date/Publication: 2025-02-10 08:10:02 UTC
+Date/Publication: 2025-02-25 09:00:04 UTC
