## watcher 0.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -36,6 +36,8 @@
 endif ()
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
+
+set(CMAKE_STATIC_LIBRARY_SUFFIX ".b")
 
 # Add option to choose between shared and static libraries
 option(BUILD_SHARED_LIBS "Build shared libraries" OFF)
