=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: watcher
 Type: Package
 Title: Watch the File System for Changes
-Version: 0.1.2
+Version: 0.1.3
 Authors@R: 
     c(person(given = "Charlie",
              family = "Gao",
@@ -23,12 +23,13 @@
 Imports: later, R6, rlang
 Suggests: testthat (>= 3.0.0)
 RoxygenNote: 7.3.2
+Biarch: true
 Config/testthat/edition: 3
 Config/Needs/website: tidyverse/tidytemplate
 NeedsCompilation: yes
-Packaged: 2025-02-25 08:45:24 UTC; cg334
+Packaged: 2025-04-09 22:10:26 UTC; cg334
 Author: Charlie Gao [aut, cre] (<https://orcid.org/0000-0002-0750-061X>),
   Posit Software, PBC [cph]
 Maintainer: Charlie Gao <charlie.gao@shikokuchuo.net>
 Repository: CRAN
-Date/Publication: 2025-02-25 09:00:04 UTC
+Date/Publication: 2025-04-09 22:20:02 UTC
