=== libfswatch/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (c) 2014-2024 Enrico M. Crisostomo
+# Copyright (c) 2014-2025 Enrico M. Crisostomo
 #
 # This program is free software; you can redistribute it and/or modify it under
 # the terms of the GNU General Public License as published by the Free Software
@@ -18,6 +18,10 @@
 if(APPLE)
     if (${CMAKE_SYSTEM_VERSION} VERSION_GREATER_EQUAL "9.0")
         set(HAVE_MACOS_GE_10_5 1)
+    endif()
+
+    if (${CMAKE_SYSTEM_VERSION} VERSION_GREATER_EQUAL "10.0")
+        set(HAVE_MACOS_GE_10_6 1)
     endif()
 
     if (${CMAKE_SYSTEM_VERSION} VERSION_GREATER_EQUAL "11.0")
@@ -111,25 +115,24 @@
 if (HAVE_WINDOWS_HEADER)
 
     set(LIBFSWATCH_HEADER_FILES
-                ${LIBFSWATCH_HEADER_FILES}
-                src/libfswatch/c++/windows/win_directory_change_event.hpp
-                src/libfswatch/c++/windows/win_error_message.hpp
-                src/libfswatch/c++/windows/win_handle.hpp
-                src/libfswatch/c++/windows/win_paths.hpp
-                src/libfswatch/c++/windows/win_strings.hpp
-                src/libfswatch/c++/windows_monitor.hpp)
-                
+            ${LIBFSWATCH_HEADER_FILES}
+            src/libfswatch/c++/windows/win_directory_change_event.hpp
+            src/libfswatch/c++/windows/win_error_message.hpp
+            src/libfswatch/c++/windows/win_handle.hpp
+            src/libfswatch/c++/windows/win_paths.hpp
+            src/libfswatch/c++/windows/win_strings.hpp
+            src/libfswatch/c++/windows_monitor.hpp)
+
     set(LIB_SOURCE_FILES
-                ${LIB_SOURCE_FILES}
-                src/libfswatch/c++/windows/win_directory_change_event.cpp
-                src/libfswatch/c++/windows/win_error_message.cpp
-                src/libfswatch/c++/windows/win_handle.cpp
-                src/libfswatch/c++/windows/win_paths.cpp
-                src/libfswatch/c++/windows/win_strings.cpp
-                src/libfswatch/c++/windows_monitor.cpp)
-    
+            ${LIB_SOURCE_FILES}
+            src/libfswatch/c++/windows/win_directory_change_event.cpp
+            src/libfswatch/c++/windows/win_error_message.cpp
+            src/libfswatch/c++/windows/win_handle.cpp
+            src/libfswatch/c++/windows/win_paths.cpp
+            src/libfswatch/c++/windows/win_strings.cpp
+            src/libfswatch/c++/windows_monitor.cpp)
     set(HAVE_WINDOWS ON CACHE BOOL "Enable Windows support")
-        
+
 endif (HAVE_WINDOWS_HEADER)
 
 if (APPLE)
