=== debian/changelog ===
watcher (0.28.0-3+2~bpo8+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Fix missing EPOC in many (build-)depends.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 19 Sep 2016 09:55:22 +0000

watcher (0.28.0-2) experimental; urgency=medium

  * Now requires python-apscheduler >= 3.0.5 (FTBFS otherwise).

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jul 2016 15:37:25 +0000

watcher (0.28.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jul 2016 17:22:03 +0200

watcher (0.27.0-3) experimental; urgency=medium

  * Added runtime depends on net-tools for watcher-api, as the config is using
    /sbin/route.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Jul 2016 10:38:53 +0200

watcher (0.27.0-2) experimental; urgency=medium

  * Fixed debian/copyright missing copyright holders.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Jun 2016 08:40:12 +0000

watcher (0.27.0-1) experimental; urgency=medium

  * Initial release. (Closes: #826853)

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Jun 2016 16:03:10 +0200
