=== debian/control ===
--- 
+++ 
@@ -13,43 +13,45 @@
                python-setuptools,
                python-sphinx,
 Build-Depends-Indep: python-apscheduler (>= 3.0.5),
-                     python-ceilometerclient (>= 2.2.1),
+                     python-ceilometerclient (>= 2.5.0),
                      python-cinderclient (>= 1:1.6.0),
                      python-coverage,
                      python-enum34,
                      python-freezegun,
-                     python-glanceclient (>= 1:2.0.0),
+                     python-glanceclient (>= 1:2.3.0),
                      python-hacking,
                      python-jsonpatch (>= 1.1),
-                     python-keystoneauth1 (>= 2.7.0),
-                     python-keystoneclient (>= 1:1.7.0),
+                     python-keystoneauth1 (>= 2.10.0),
+                     python-keystoneclient (>= 1:2.0.0),
                      python-keystonemiddleware (>= 4.0.0),
+                     python-lxml (>= 2.3),
                      python-mock (>= 2.0),
-                     python-neutronclient (>= 1:4.2.0),
+                     python-neutronclient (>= 1:5.1.0),
                      python-novaclient (>= 2:2.29.0),
                      python-openstackclient (>= 2.1.0),
                      python-os-testr (>= 0.7.0),
                      python-oslo.cache (>= 1.5.0),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.10.0),
-                     python-oslo.context (>= 2.4.0),
-                     python-oslo.db (>= 4.1.0),
+                     python-oslo.config (>= 1:3.14.0),
+                     python-oslo.context (>= 2.9.0),
+                     python-oslo.db (>= 4.10.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 1.14.0),
                      python-oslo.messaging (>= 5.2.0),
                      python-oslo.policy (>= 1.9.0),
                      python-oslo.reports (>= 0.6.0),
+                     python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.15.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-pastedeploy (>= 1.5.0),
                      python-pecan (>= 1.0.0),
                      python-prettytable,
                      python-six (>= 1.9.0),
                      python-sphinxcontrib-pecanwsme,
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.10.0),
+                     python-stevedore (>= 1.16.0),
                      python-taskflow (>= 1.26.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
@@ -59,44 +61,46 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/watcher.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/watcher.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-watcher?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-watcher -b debian/newton
 Homepage: https://github.com/openstack/watcher
 
 Package: python-watcher
 Section: python
 Architecture: all
 Depends: python-apscheduler (>= 3.0.5),
-         python-ceilometerclient (>= 2.2.1),
+         python-ceilometerclient (>= 2.5.0),
          python-cinderclient (>= 1:1.6.0),
          python-enum34,
-         python-glanceclient (>= 1:2.0.0),
+         python-glanceclient (>= 1:2.3.0),
          python-jsonpatch (>= 1.1),
-         python-keystoneauth1 (>= 2.7.0),
-         python-keystoneclient (>= 1:1.7.0),
+         python-keystoneauth1 (>= 2.10.0),
+         python-keystoneclient (>= 1:2.0.0),
          python-keystonemiddleware (>= 4.0.0),
-         python-neutronclient (>= 1:4.2.0),
+         python-lxml (>= 2.3),
+         python-neutronclient (>= 1:5.1.0),
          python-novaclient (>= 2:2.29.0),
          python-openstackclient (>= 2.1.0),
          python-oslo.cache (>= 1.5.0),
          python-oslo.concurrency (>= 3.8.0),
-         python-oslo.config (>= 1:3.10.0),
-         python-oslo.context (>= 2.4.0),
-         python-oslo.db (>= 4.1.0),
+         python-oslo.config (>= 1:3.14.0),
+         python-oslo.context (>= 2.9.0),
+         python-oslo.db (>= 4.10.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 1.14.0),
          python-oslo.messaging (>= 5.2.0),
          python-oslo.policy (>= 1.9.0),
          python-oslo.reports (>= 0.6.0),
+         python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.15.0),
+         python-oslo.utils (>= 3.16.0),
          python-pastedeploy (>= 1.5.0),
          python-pbr (>= 1.8),
          python-pecan (>= 1.0.0),
          python-prettytable,
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.10.0),
+         python-stevedore (>= 1.16.0),
          python-taskflow (>= 1.26.0),
          python-voluptuous (>= 0.8.9),
          python-webob,
